
local meta = FindMetaTable( "Entity" )

// Return if there's nothing to add on to
if (!meta) then return end


function meta:GetVar( name, default )

	local Val = self:GetTable()[ name ]
	if ( Val == nil ) then return default end
	
	return Val
	
end

function meta:SetVar( name, value )
	self:GetTable()[ name ] = value
end
